org.eclipse.swt.events

## Class ExpandEvent

- java.lang.Object
- - SWTEventObject
  - - org.eclipse.swt.events.TypedEvent
    - - org.eclipse.swt.events.SelectionEvent
      - - org.eclipse.swt.events.ExpandEvent

    public class ExpandEvent
    extends SelectionEvent

Instances of this class are sent as a result of expand item being expanded and collapsed.

Since:
  1.2
See Also:
  `ExpandListener`

### Field Summary

### Fields inherited from class org.eclipse.swt.events.SelectionEvent

`detail, doit, height, item, stateMask, text, width, x, y`

### Fields inherited from class org.eclipse.swt.events.TypedEvent

`data, display, time, widget`

### Constructor Summary

Constructors
Constructor and Description
`ExpandEvent(Event event)` Constructs a new instance of this class based on the information in the given untyped event.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ExpandEvent

    public ExpandEvent(Event event)

Constructs a new instance of this class based on the information in the given untyped event.

Parameters:
  `event` - the untyped event containing the information

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `SelectionEvent`

Copyright (c) EclipseSource and others 2002, 2020. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0